Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227832 - shutdown should switch to console to show service shutdowns
Summary: shutdown should switch to console to show service shutdowns
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sysvinit
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-08 14:36 UTC by Need Real Name
Modified: 2014-03-17 03:05 UTC (History)
1 user (show)

Fixed In Version: F7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-18 02:17:56 UTC


Attachments (Terms of Use)

Description Need Real Name 2007-02-08 14:36:17 UTC
Description of problem:
Running poweroff or reboot from a gnome-terminal shows me the fedora wallpaper,
like the computer is doing nothing. It should switch to the console to show the
shutdown messages.

Comment 1 Need Real Name 2007-03-06 08:40:19 UTC
Please can this be fixed. When I run poweroff, it looks as if the box has hung.

Comment 2 Need Real Name 2007-04-03 14:15:35 UTC
There is no point having all the init scripts return an exit status, and showing
whether each service shutdown correctly if nobody can see it.

Comment 3 Bill Nottingham 2007-04-23 21:51:37 UTC
I've just tested this with the current development tree and it works fine for me.

How are you logging in? startx? gdm? kdm?

Comment 4 Need Real Name 2007-04-23 21:55:54 UTC
gdm. Still broken in FC6, will test on F7T4 when it comes out.

Comment 5 Need Real Name 2007-06-17 22:00:57 UTC
WFM in F7.

Comment 6 Bill Nottingham 2007-06-18 02:17:56 UTC
Closing as fixed in F7, then.

Comment 7 David Lawrence 2007-06-22 02:18:19 UTC
Package name is now sysvinit in latest Fedora.


Note You need to log in before you can comment on or make changes to this bug.